> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mynkwa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disburse a payment to a customer

> Disburse a payment from your balance to a phone number.



## OpenAPI

````yaml nkwa-pay-openapi POST /disburse
openapi: 3.0.1
info:
  title: Nkwa Pay API
  description: >-
    Use this API to integrate mobile money across your payment flows, create and
    manage payments, collections, and disbursements. Read the docs at
    https://docs.mynkwa.com/api-reference
  license:
    name: MIT
  version: 1.0.0
  contact:
    name: Nkwa
    url: https://mynkwa.com
    email: info@mynkwa.com
servers:
  - url: https://api.pay.staging.mynkwa.com
    description: Sandbox server (uses test data)
  - url: https://api.pay.mynkwa.com
    description: Production server (uses live data)
security:
  - ApiKeyAuth: []
paths:
  /disburse:
    post:
      description: Disburse a payment from your balance to a phone number.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentRequest'
      responses:
        '201':
          description: Disbursement request created and pending
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Payment'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '403':
          description: Disbursement disabled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '500':
          description: An error occurred
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
components:
  schemas:
    PaymentRequest:
      type: object
      required:
        - amount
        - phoneNumber
      properties:
        amount:
          type: integer
          example: 1000
        phoneNumber:
          type: string
          example: '237650000000'
    Payment:
      type: object
      properties:
        amount:
          type: integer
        createdAt:
          type: string
          format: date-time
        currency:
          type: string
        description:
          type: string
        fee:
          type: integer
        id:
          type: string
        merchantId:
          type: integer
        paymentType:
          $ref: '#/components/schemas/PaymentType'
        phoneNumber:
          type: string
        status:
          $ref: '#/components/schemas/PaymentStatus'
        telecomOperator:
          $ref: '#/components/schemas/TelecomOperator'
        updatedAt:
          type: string
          format: date-time
    HttpError:
      type: object
      properties:
        details:
          type: array
          items: {}
        message:
          type: string
        statusCode:
          type: integer
    PaymentType:
      type: string
      enum:
        - collection
        - disbursement
    PaymentStatus:
      type: string
      enum:
        - pending
        - success
        - failed
        - canceled
    TelecomOperator:
      type: string
      enum:
        - mtn
        - orange
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-API-Key
      in: header

````